Bug 840 - starts even if DISPLAY is unset
: starts even if DISPLAY is unset
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/Eterm)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-04-13 20:36 by
Modified: 2009-01-10 01:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-04-13 20:36:18
look below
---
# doing this in another terminal in X
$ unset DISPLAY
$ echo $DISPLAY

$ Eterm

#it starts on this display.
---

------- Comment #1 From 2008-03-11 15:28:34 -------
Reassign to nobody@.
------- Comment #2 From 2008-03-14 04:21:22 -------
This is true only in an X session started by xdm (w2dm in my case).
In an X session started by startx this is not true.
------- Comment #3 From 2008-03-14 04:22:49 -------
Eterm-0.9.3-alt2

xterm-232-alt1 doesn't behave like this; xterm refuses to start with no DISPLAY. 

Does this mean that too many privileges are given to Eterm?
------- Comment #4 From 2008-03-16 22:23:36 -------
No, the correct formulation is not "this happens in an X session started by an
xdm" but: this happens in the first X session (started by xdm or startx).

Also, if the same user starts a second X session, and unsets DISPLAY there and
starts Eterm (or aterm, https://bugzilla.altlinux.org/show_bug.cgi?id=14898 ),
the Eterm will appear not on that second display, but rather on the other first
one. 

Isn't it an odd behavior that should better be fixed?
------- Comment #5 From 2009-01-10 01:30:51 -------
Eterm из Сизифа (0.9.5-alt1) больше не пытается коннектиться к случайным
дисплеям.